package com.elitesland.itm.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 品牌(ItmBrand)实体类
 *
 * @author roman.zhang
 * @since 2020-08-17 14:37:43
 */

@Data
@ApiModel(value = "itm_brand", description = "品牌")
public class ItmBrandQueryParam extends AbstractOrderQueryParam {
    private static final long serialVersionUID = 524201937632725394L;
    /**
     * 唯一编号ID
     */
    @ApiModelProperty("唯一编号ID")
    private Long id;
    /**
     * 品牌代码
     */
    @ApiModelProperty("品牌代码")
    private String brandCode;
    /**
     * 品牌名称
     */
    @ApiModelProperty("品牌名称")
    private String brandName;
    /**
     * 名称2
     */
    @ApiModelProperty("名称2")
    private String brandName2;
    /**
     * 简称
     */
    @ApiModelProperty("简称")
    private String abbrName;
    /**
     * 品牌状态
     */
    @ApiModelProperty("品牌状态")
    private String brandStatus;
    /**
     * 类型 [UDC]COM:BRAND_TYPE
     */
    @ApiModelProperty("类型 [UDC]COM:BRAND_TYPE")
    private String brandType;
    /**
     * 类型2
     */
    @ApiModelProperty("类型2")
    private String brandType2;
    /**
     * 类型3
     */
    @ApiModelProperty("类型3")
    private String brandType3;
    /**
     * 产品组 [UDC]ITM:ITEM_GROUP
     */
    @ApiModelProperty("产品组 [UDC]ITM:ITEM_GROUP")
    private String itemGroup;
    /**
     * 品类
     */
    @ApiModelProperty("品类")
    private String itemCate;
    /**
     * 品牌阶段 [UDC]COM:BRAND_PHASE
     */
    @ApiModelProperty("品牌阶段 [UDC]COM:BRAND_PHASE")
    private String brandPhase;
    /**
     * 品牌层级 [UDC]COM:BRAND_LEVEL
     */
    @ApiModelProperty("品牌层级 [UDC]COM:BRAND_LEVEL")
    private String brandLevel;
    /**
     * 上级ID
     */
    @ApiModelProperty("上级ID")
    private Long pid;
    /**
     * 路径
     */
    @ApiModelProperty("路径")
    private String brandPath;
    /**
     * 代理商
     */
    @ApiModelProperty("代理商")
    private String agency;
    /**
     * 品牌经理
     */
    @ApiModelProperty("品牌经理")
    private Integer managerEmpId;
    /**
     * 记录创建者ID
     */
    @ApiModelProperty("记录创建者ID")
    private Long creator;
    /**
     * 记录创建时间
     */
    @ApiModelProperty("记录创建时间")
    private Date created;
    /**
     * 记录最后更新者ID
     */
    @ApiModelProperty("记录最后更新者ID")
    private Long updater;
    /**
     * 记录最后更新时间
     */
    @ApiModelProperty("记录最后更新时间")
    private Date updated;
    /**
     * 逻辑删除，0：未删除，1：已删除
     */
    @ApiModelProperty("逻辑删除，0：未删除，1：已删除")
    private Integer deleted;
    /**
     * 版本信息，前端不用传
     */
    @ApiModelProperty("版本信息，前端不用传")
    private Integer version;


}
